Authentication & Scope
Requires thetemplates-read ability.
Request
Path Parameters
Response
200 OK – The template with full details.
404 Not Found – Template does not exist or you don’t have access.Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Get a single extraction template with its full schema.
templates-read ability.
GET /extractions/templates/550e8400-e29b-41d4-a716-446655440000 HTTP/1.1
Host: api.raydocs.com
Authorization: Bearer <token>
| Parameter | Type | Required | Description |
|---|---|---|---|
templateId | uuid | Yes | The template ID |
200 OK – The template with full details.
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Invoice Extraction",
"description": "Extract key fields from invoices",
"schema_json": {
"config": {
"reasoning_enabled": true
},
"groups": {
"invoice_details": {
"search_query": "invoice number, date, amount",
"fields": {
"invoice_number": {
"type": "string",
"extraction_prompt": "Extract the invoice number"
},
"total_amount": {
"type": "number",
"extraction_prompt": "Extract the total amount"
}
}
}
}
},
"settings": {
"parsing": {
"contextual_embedding": false
}
},
"workspace_id": 1,
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}
404 Not Found – Template does not exist or you don’t have access.